Returns the image profiles

- « Imagick::getImageProfile

- Imagick::getImageProperties »

- PHP Manual
- Imagick
- Returns the image profiles

# Imagick::getImageProfiles

(PECL imagick 2, PECL imagick 3)

Imagick::getImageProfiles — Returns the image profiles

### Description

public Imagick::getImageProfiles(string `$pattern` = "*", bool `$include_values` = `true`): array

Returns all associated profiles that match the pattern. If `false` is passed as second parameter only the profile names are returned. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`pattern`

  The pattern for profile names.

`include_values`

  Whether to return only profile names. If `false` then only profile names will be returned.

### Return Values

Returns an array containing the image profiles or profile names.